# Auto-mute toggle extension for Gnome

This Gnome Shell Extension adds an icon to the top panel for toggling whether to mute speakers automatically when headphones are plugged in. This way it's not necessary to unplug the headphones to get the speakers working again.

![Auto-mute toggle demonstration](https://i.imgur.com/5GrEIOY.gif)

## Dependencies

- `/usr/bin/amixer`
- `/usr/bin/aplay`

## Install from Gnome Shell Extensions

- https://extensions.gnome.org/extension/2905/auto-mute-toggle/

## Install from source

```
$ git clone https://github.com/garotosopa/gse-auto-mute-toggle.git
$ mkdir -p ~/.local/share/gnome-shell/extensions/
$ ln -s gse-auto-mute-toggle ~/.local/share/gnome-shell/extensions/auto-mute-toggle@garotosopa.github.io
$ gnome-extensions enable auto-mute-toggle@garotosopa.github.io
```

## License

This project is licensed under the [MIT License](LICENSE).

